Bulk validate campaigns

Validates multiple campaigns in bulk, identifying warnings and errors prior to update. Changes are not saved unless the save parameter is explicitly provided.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
date-time | null
string
length between 3 and 191
boolean
Defaults to false
integer
integer | null

The ID of the Bid Modifier to GET

integer | null
string | null

An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.

string | null

Free-form notes of up to 255 characters.

string

The key of the currency

string | null
string | null
continents
array of strings

JSON list of continents, e.g. '["EMEA", "NAM"]'. Options include: 'APAC', 'EMEA' and 'NAM'.

continents
integer | null
integer | null
date-time | null
date-time | null
skad_network
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

revenue
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

string | null

The type of the budget. One of: "spend", "impressions", "spend including vendor fees".

spend_budget
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

impressions_budget
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

vendor_fees
array of objects

The list of the vendor fees objects.

vendor_fees
ghost_bidding
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

event_ids
array of integers

The list of the unique identifiers representing the associated events.

event_ids
frequency_caps
object | null

A mixin that should be inherited by a custom serializer to include the logic for validating warnings.

This mixin works by recursively descending into nested levels of the root serializer,
collecting warnings in a dictionary structure, and raising them at a higher level.

To implement warnings in a custom serializer, two types of methods must be used.
The first type is used to handle field errors: warn_<field name>().
The second type is used for non-field warnings: warn().

Usage:
class NestedSerializer(WarningsSerializerMixin, serializers.Serializer):
baz = serializers.IntegerField()

    def warn_baz(self, value):
        ...

    def warn(self, attrs):
        ....

class RootSerializer(WarningsSerializerMixin, serializers.Serializer):
    foo = NestedSerializer()
    bar = serializers.CharField()

    def warn_bar(self, value):
        ...

    def warn(self, attrs):
        ...
segment_extension
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

experiment
object | null

Convenience mixin to deserialize nullable nested JSON objects to root
fields of a line item.

Implement get_default in mixed-in class. If a null is passed we need to
set internal value to a default value for all fields included in the nested
serializer.

string | null

Coming soon.

Responses
200

Bulk validation completed successfully.

400

Invalid campaign data.

Language
Credentials
:
URL
LoadingLoading…